Subject: Re: [bug#74736] [PATCH v6] Add Request-for-Comments process.

From: Vagrant Cascadian <[email-masked]>
Date: Sun, 12 Jan 2025 17:45:01 -0800

On 2025-01-10, Simon Tournier wrote:
> On Thu, 09 Jan 2025 at 16:40, Vagrant Cascadian <[email-masked]> wrote:
>
>> Is 'no one disagrees' == 'no one replies with "I disapprove"'? It would
>> be nicer if there were more explicit alignment in the words used to make
>> that clearer, if that is, in fact, the intended case. Perhaps
>> literally... e.g. ... (2) if no one declares "I disapprove".
>
> I hope it is clarified with v7 [1]:
>
>         The GCD is *accepted* if (1) at least 25% of all team members send a
>         reply, and (2) no one disapproves.  In other cases, the GCD is
>         *withdrawn*.
>
> WDYT?

Hah. Subtle but meaningful difference! Yes, I think that captures it.

> Maybe, « (2) if no one declares "I disapprove". » seems even clearer?

It does seem clearer, but the match between "I disapprove" and
disapproves is probably sufficient to address my concern.

>> Obviously, one can and should declare their reservations as part of the
>> discussion that lead up to that point! Although maybe "I accept" should
>> come with the option to declare formal outstanding concerns?
>
> Well, that’s the distinction between “I support” and “I accept”, no?

That is my understanding...

> Somehow, the idea with “I accept” is “I think it’s the good direction
> although I have these concerns X and Y but I can with live all that”.

It mashes together "good direction, with concerns" and "good enough
direction, with concerns" and "tolerable direction, with concerns".  It
may not be necessary having those so fine-grained, and being able to
reflect that as part of the concerns raised and noted.

> Well, I think these concerns are captured during the “Discussion Period”
> and they should be included in the section “Drawback” or “Open Issues”.

Sounds good to me, sure!

>> Similarly "I disaprove" should not come out of nowhere; it should be
>> clear why, and perhaps worth having an option to note that in the call
>> for consensus at the end of the Deliberation Period?
>
> I agree.  Does this wording v7 [1]:
>
>         - “I disapprove”, meaning that one opposes the implementation of the
>           proposal.  A team member sending this reply must have actively
>           cooperated with for discussing the RFC during the discussion period.
>           See “Decision Making”.
>
> answer to your comment?  In addition, “Decision Making” section
> contains:
>
>         Thus, no decision is made against significant concerns; these concerns
>         are actively resolved through counter proposals.  A deliberating member
>         disapproving a proposal bears a responsibility for finding alternatives,
>         proposing ideas or code, or explaining the rationale for the status quo.
>
> Therefore, “I disapprove” cannot come out of nowhere because the person
> who disapproves must comment during the “Discussion Period” on the why.
>
> That’s said, do you suggest that the reply “I disapprove” during the
> “Deliberating Period” should come with a summary about why?

I *think* so, even though it should have already been made clear through
earlier discussion that there was an issue... it may not always be
clear, especially with asyncronous communications, what each person
final stance is at the end of those prior discussions.

> And such summary would be then included in the Document with the state
> of ’widthdrawn’.

At least the major points of disapproval should be summarized succinctly
somewhere. I am not terribly particular about where. :)

>> I also wonder if there is a supermajority of "I accept" over "I support"
>> this maybe should raise some sort of red flag calling into question the
>> proposal... as that is a very weak consensus and perhaps cause for
>> concern.
>
> Good point.  Maybe this is the same as above about having these concerns
> written down in the final document under a dedicated section as
> “Drawback” or “Open Issues”.  WDYT?

Yeah, something along those lines.

live well,
  vagrant